
ISIS - Feature #3898

Add socetframesetting changes to ISIS

2016-04-12 02:33 PM - Stuart Sides

Status: Resolved   

Priority: Normal   

Assignee: Jean Backer   

Category: Applications   

Target version: 3.5.0 (FY17 R1 2017-01-25 Jan)   

Impact: Adds functionality to socetframesettings

program by allowing OSIRIS-REx

images to be input.

Software Version:  

Description

We have been working with the HiRISE team to implement some changes in ISIS3 over the past few months. Specifically, we have

augmented socetframesetting.cpp to include OCAMS, so that OCAMS images can be exported from ISIS3 into SOCET SET. 

We are close to completing this task; everything currently works and we can create .set files from fake OCAMS images. Once we

have fully tested our implementation of socetframesettings.cpp, will it be possible to integrate it into the ISIS3 branch at the USGS?

This will save us the hassle of needing to “re-build” ISIS3 with the OREx version of socetframesetting.cpp every time a new version

of the OREx ISIS3 beta is delivered. 

History

#1 - 2016-05-23 12:04 PM - Stuart Sides

- Status changed from New to Acknowledged

#2 - 2016-06-13 11:16 AM - Moses Milazzo

- Target version set to Current Sprint BackLog

#3 - 2016-12-22 04:19 PM - Jean Backer

- Assignee set to Jean Backer

#4 - 2016-12-22 04:20 PM - Jean Backer

- Status changed from Acknowledged to In Progress

#5 - 2016-12-22 05:54 PM - Jean Backer

- Project changed from OSIRIS-REx to ISIS

- Category changed from Project to Applications

- Target version changed from Current Sprint BackLog to 3.5.0 (FY17 R1 2017-01-25 Jan)

- Impact updated

#6 - 2016-12-22 06:47 PM - Jean Backer

- Status changed from In Progress to Resolved

#7 - 2016-12-23 01:13 PM - Stuart Sides

- Status changed from Resolved to Closed

#8 - 2016-12-27 05:35 PM - Jean Backer

- Status changed from Closed to Resolved

tests will be added when more data is available
